GET api/badgereaderapi/badgeReader/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

BadgeReaderViewModel
NameDescriptionTypeAdditional information
id

globally unique identifier

None.

name

string

String length: inclusive between 0 and 100

pc_id

globally unique identifier

None.

com_port

integer

None.

baudrate

integer

None.

direction

string

Required

String length: inclusive between 0 and 3

has_correspondence

boolean

Required

active

boolean

Required

badge_reader_type_id

globally unique identifier

None.

site_id

globally unique identifier

None.

parity

integer

Required

data_bits

integer

Required

stop_bits

integer

Required

handshake

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "id": "324a1d2c-2b5d-420f-b55d-7aafb40d272a",
  "name": "sample string 2",
  "pc_id": "60ceb3f1-4f72-49c6-8831-c39938bbafbb",
  "com_port": 1,
  "baudrate": 1,
  "direction": "sample string 3",
  "has_correspondence": true,
  "active": true,
  "badge_reader_type_id": "c99f9472-9e8c-455f-9b8b-b5604bfe1654",
  "site_id": "3584b0c9-7947-4100-bd9c-3da568456ebb",
  "parity": 6,
  "data_bits": 7,
  "stop_bits": 8,
  "handshake": 9
}

application/xml, text/xml

Sample:
<badgereader xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <badge_reader_type_id>c99f9472-9e8c-455f-9b8b-b5604bfe1654</badge_reader_type_id>
  <baudrate>1</baudrate>
  <com_port>1</com_port>
  <data_bits>7</data_bits>
  <direction>sample string 3</direction>
  <handshake>9</handshake>
  <has_correspondence>true</has_correspondence>
  <id>324a1d2c-2b5d-420f-b55d-7aafb40d272a</id>
  <name>sample string 2</name>
  <parity>6</parity>
  <pc_id>60ceb3f1-4f72-49c6-8831-c39938bbafbb</pc_id>
  <site_id>3584b0c9-7947-4100-bd9c-3da568456ebb</site_id>
  <stop_bits>8</stop_bits>
</badgereader>